#include "Waypointarrow.h"

#include <OgreSceneNode.h>
#include <BulletDynamics/Dynamics/btRigidBody.h>
#include "util/OrxAssert.h"
#include "core/CoreIncludes.h"

namespace orxonox
{
    RegisterClass(Waypointarrow);

    Waypointarrow::Waypointarrow(Context* context) : StaticEntity(context)
    {
        RegisterObject(Waypointarrow);
        model = new Model(this->getContext());
        model->setMeshSource("cokebottle.mesh");  // Name of the arrow file for now bottle
        this->attach(model);
        model->setScale(3);
        //model->setOrientation(Vector3(0,0,-1));
        model->setPosition(Vector3(0,15,0));
    }

    Waypointarrow::~Waypointarrow()
    {
    }

     


    void Waypointarrow::XMLPort(Element& xmlelement, XMLPort::Mode mode){
        SUPER(Waypointarrow, XMLPort, xmlelement, mode); // From the SpaceShip.cc file


        //XMLPortObject(SpaceShip, Engine, "engines", addEngine, getEngine, xmlelement, mode); // TRY ADDING THE WAYPOINT ARROW LIKE AN ENGINE
 

    }


}
